//  Java CGI -- Classes to aid in writing CGI programs in Java.
//
//  Copyright (c) 1996, David H. Silber  (dhs@orbits.com)
//
//    My time to write this free software donated by:
//                   Stellar Orbits Technology Services
//              http://www.orbits.com/   or   info@orbits.com
//
//    I can be contacted at:    1923 Rockland Avenue
//                              Rockville, MD  20851
//
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License version 2 as published by the Free Software Foundation.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

import java.io.*;
import java.util.*;

import Orbits.net.*;

//  This class will get all of the CGI information and return it to the
//    browser.
public class CGI_Test {

	public static void main( String argv[] ) {

		//  Produce output that the browser will understand.
		System.out.println( "Content-type: text/plain" );
		System.out.println( "" );

		//  Get the CGI information.
		CGI info = new CGI();

		//  Put the list of variable names into a list.
		Enumeration e = info.getNames();

		while ( e.hasMoreElements() ) {

			//  For each name in the list.
			String name = (String) e.nextElement();
			System.out.print( name );
			System.out.print( " evaluates to " );

			//  Get the associated value.
			String value = info.getValue( name );
			System.out.println( value );
		}
	}
}
