//  Java CGI -- Classes to aid in writing CGI programs in Java.
//
//  Copyright (c) 1996, David H. Silber  (dhs@orbits.com)
//
//    My time to write this free software donated by:
//                   Stellar Orbits Technology Services
//              http://www.orbits.com/   or   info@orbits.com
//
//    I can be contacted at:    1923 Rockland Avenue
//                              Rockville, MD  20851
//
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License version 2 as published by the Free Software Foundation.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

import java.io.*;
import java.util.*;

import Orbits.net.*;

public class HTML_Test {


	//  Return an HTML message consisting of all of the CGI
	//    information.
	public static void main( String argv[] ) {

		//  Create an object that contains all of the available
		//    CGI information.
		CGI info = new CGI();

		//  Create an empty HTML response message.  We will be
		//    filling this in.
		HTML message = new HTML();

		//  Start an HTML definition list to hold the CGI
		//    information.
		message.definitionList();

		for ( Enumeration e = info.getNames();
						e.hasMoreElements(); ) {

			//  Get each CGI name/value pair.
			String name = (String) e.nextElement();
			String value = info.getValue( name );

			//  Put each CGI name/value pair into an HTML
			//    term/definition pair.
			message.listItem( name, value );
		}

		//  End the list.
		message.endList();

		//  Add misc information to the HTML document.
		message.title( "HTML Response from Java CGI Test." );
		message.author( "David H. Silber" );

		//  We are done, send the HTML response.
		message.send();
	}
}
